Bug 1460809 - [RFE] - Add 'Verbosity' drop down on both Provisioning & Retirement tabs for Playbook Catalog Items
[RFE] - Add 'Verbosity' drop down on both Provisioning & Retirement tabs for ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Harpreet Kataria
Shveta
: FutureFeature, ZStream
Depends On: 1460788
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 16:08 EDT by Satoe Imaishi
Modified: 2017-08-02 13:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1460788
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-12 16:11:02 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/4723235bcb0a22457983f0ee1a59fb106eb08d2f

commit 4723235bcb0a22457983f0ee1a59fb106eb08d2f
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jun 2 16:01:36 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 16:07:31 2017 -0400

    Merge pull request #15288 from syncrou/add_verbosity_to_ansible_playbook
    
    Add Enhanced Debug level support
    (cherry picked from commit 96e678d97f5d7aa4a82d6a1096d44d52c058d9be)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460809

 app/models/service_template_ansible_playbook.rb       | 1 +
 spec/models/service_template_ansible_playbook_spec.rb | 8 +++++++-
 2 files changed, 8 insertions(+), 1 deletion(-)
Comment 3 CFME Bot 2017-06-12 16:12:42 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c04a63c365b3a93a7918ed6721d44f51f0b11d2a

commit c04a63c365b3a93a7918ed6721d44f51f0b11d2a
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Jun 8 12:37:34 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 16:10:21 2017 -0400

    Merge pull request #1493 from h-kataria/ansible_playbook_verbosity
    
    Added Verbosity drop down on both Provisioning & Retirement tabs
    (cherry picked from commit af2c4aa25e2380da772f160fca8f5f410c592639)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460809

 .../catalog/catalog_item_form_controller.js        | 33 +++++++++++++++++++-
 app/controllers/catalog_controller.rb              | 16 ++++++++++
 app/views/catalog/_sandt_tree_show.html.haml       | 10 ++++++
 .../_ansible_form_options_angular.html.haml        | 10 ++++++
 spec/controllers/catalog_controller_spec.rb        | 36 +++++++++++++++++-----
 .../catalog/catalog_item_form_controller_spec.js   |  2 ++
 6 files changed, 98 insertions(+), 9 deletions(-)
Comment 4 Shveta 2017-06-28 16:11:38 EDT
Fixed in 5.8.1.0.20170623170756_3ed4411
Comment 6 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.